Bug 15453 - (Trident 3DImage 9750) Multiple issues with XFree86-SVGA
(Trident 3DImage 9750) Multiple issues with XFree86-SVGA
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86-Servers (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
:
: 13007 24005 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-04 21:30 EDT by Henri Schlereth
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-18 07:53:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XF86Config (14.21 KB, text/plain)
2001-05-20 23:07 EDT, Henri Schlereth
no flags Details
XF86Config-4 (1.66 KB, text/plain)
2001-05-20 23:08 EDT, Henri Schlereth
no flags Details
Requested XFree86 log (20.21 KB, text/plain)
2001-05-24 17:19 EDT, Henri Schlereth
no flags Details

  None (edit)
Description Henri Schlereth 2000-08-04 21:30:42 EDT
1. First see #13356
2. SVGA makes an etch a sketch with GNOME/KDE in addition to the above noted problems with
xfce. Reversion to RH6.2 eliminates the problem.
3. I will run the Xconfigurator of Trond's and see if it improves anything before I revert back to the RH6.2
SVGA server.
Comment 1 Henri Schlereth 2000-08-09 10:32:49 EDT
Trond's Xconfigurator didnt help any but didnt make anything worse. In every
instance
reverting to SVGA-3.3.6-20 fixes the problems listed.
The SVGA-3.3.6-32 on bootup of GNOME also displays a small grey box on the
bottom
right-hand side while the "pretty" graphic loads. Then the screen background
turns totall
gray and etch-a-sketching can commence.
Comment 2 Henri Schlereth 2000-08-16 16:09:20 EDT
Still exists in RC1, solution still is to revert to RH6.2 SVGA server.
Comment 3 Bill Nottingham 2000-08-16 23:50:57 EDT
*** Bug 13007 has been marked as a duplicate of this bug. ***
Comment 4 Henri Schlereth 2000-12-01 04:19:38 EST
Problem still exits in Rh7.0 and the solution to still to revert to the 6.2 SVGA server. The only improvement is that it is no
longer an etch a sketch but now has transparent backgrounds and the screen doesnt clear/refresh. In simple terms if you
bring up a window it overwrites the existing data but leaves anything not over written still visible.
I would switch this over to 7.0 but the option doesnt exist.
Comment 5 Henri Schlereth 2001-01-14 16:33:19 EST
Problem still exists.
GUI install/upgrade gives black background and barely readable garbage in info/selection box.
Revision from XFree86-3.3.6-33 to XFree86-3.3.6-20 (RH6.2) removes problem yet again.
Text upgrade works BTW.
Comment 6 Henri Schlereth 2001-02-24 16:23:50 EST
Problem has been fixed with RC1/Wolverine. Took some minor fiddling with Xconfigurator and picking the right
custom config of 800x600 at 56hz. I emailed the XF86Config file to the testers list but since it is monitor specific I dont
know if it would help anyone else. Boy am I glad this is done...
I can now get 800x600 reliably and no etch-a-sketch.
If you want the XF86Config file in here just reopen with a NEEDINFO.
Comment 7 Henri Schlereth 2001-02-24 16:25:58 EST
*** Bug 24005 has been marked as a duplicate of this bug. ***
Comment 8 David Lawrence 2001-03-24 17:20:08 EST
Reopening. Seeing screen corruption problem using XFree86-SVGA-3.3.6-35 (latest
internal build) at 1024x768x16 which is our test resolution. I would like your
config file for trying it a resolution know to work.
Comment 9 Mike A. Harris 2001-05-20 18:40:20 EDT
Closed due to lack of feedback.  The Trident cards are not well supported
in XFree86, and this is almost certainly an X server issue.  When XFree86
4.1.0 is released, it is possible that the Trident driver may have fixed
this problem.  If not, please reopen the bug at that time, or file a new bug
report.
Comment 10 Henri Schlereth 2001-05-20 23:07:03 EDT
Created attachment 19090 [details]
XF86Config
Comment 11 Henri Schlereth 2001-05-20 23:08:46 EDT
Created attachment 19091 [details]
XF86Config-4
Comment 12 Henri Schlereth 2001-05-22 01:39:48 EDT
Reopened. Provided config files. Originally mailed to dkl when bugzilla was "unavailable".
Comment 13 Mike A. Harris 2001-05-24 16:22:08 EDT
Hi Henri, sorry it took me a few days to get to this... I need your
X server logs also.  In general, both logs and configs are usually needed
together.

If you use "Xconfigurator --preferxf4 --nodri", what happens?
Comment 14 Henri Schlereth 2001-05-24 17:19:17 EDT
Created attachment 19553 [details]
Requested XFree86 log
Comment 15 Henri Schlereth 2001-05-24 18:30:23 EDT
Xconfigurator --preferxf4 --nodri doesnt work with my settings
Comment 16 Mike A. Harris 2001-09-18 03:50:38 EDT
Just a note for future...  Trident bugs are pretty impossible to
deal with, and are best reported upstream to xfree86@xfree86.org
as an email bug report.  Egbert Eich is the Trident driver
maintainer, and is the only one likely to fix Trident related bugs.
I have not Trident hardware, nor trident specifications.

Leaving this open, hopeful that this might change - at least for now.
Comment 17 Henri Schlereth 2001-09-18 07:53:13 EDT
There still seems to be some confusion on this issue. My problems were solved by
RH7.1.
This ticket was re-opened by dkl@redhat because he was having video corruption
problems at higher test resolutions and requested working configs at a know
working resolution.
Comment 18 Mike A. Harris 2002-01-25 05:35:32 EST
Reclosing bug as henris has indicated his problem is fixed.
Only serious security bugs will be addressed in XFree86 3.3.6
from now on as it is totally unmaintained.

If anyone else experiences problems, please open a new bug report.

Note You need to log in before you can comment on or make changes to this bug.